As a user, I would like to "picture of the day" on my feed.
Closed, ResolvedPublic5 Story Points

Description

The picture of the day is another card under the group of "today's" things on your feed.

Spec

See subtasks for specs

Nirzar created this task.Oct 21 2015, 9:45 PM
Nirzar updated the task description. (Show Details)
Nirzar raised the priority of this task from to Normal.
Nirzar assigned this task to KHammerstein.
Nirzar updated the task description. (Show Details)
Nirzar set Security to None.
Nirzar added subscribers: Fjalapeno, Aklapper, Nirzar.
JMinor added a subscriber: JMinor.Oct 30 2015, 6:27 PM

Per our planning meeting:

  • Tap opens in gallery
  • Ideally pull in older pictures into gallery as well

@JMinor, that's a good idea. do we have date <> picture pairing? i can create a mock for that

@Nirzar, @Fjalapeno was going to check to see how far back we can get. On the web homepage it only goes a few days back.

few days is okay too. more than 3 is a good start.

MBinder_WMF edited a custom field.Nov 2 2015, 6:01 PM
JMinor added a comment.Nov 2 2015, 6:05 PM

Per our estimation meeting this scoped to just picture of the day on en.wikipedia. For now tap to gallery view.

We can do follow-up to make custom mods to the gallery and pull in older pictures as a follow-on iteration.

Having gone (too) far trying to get EN Wiki's POTD to work, I'm going to pivot to using Common's POTD using a variation on @Mhurd's old query [0], which retrieves a localized image description from the extmetadata [1]. This should allow me to get info necessary for both the card and its fullscreen gallery view.

0: https://commons.wikimedia.org/w/api.php?action=query&generator=images&prop=imageinfo&iiprop=url|size|comment|metadata|user|userid&format=json&continue=&titles=Template:Potd/2013-06-09

1: https://commons.wikimedia.org/w/api.php?action=query&prop=imageinfo&iiprop=canonicaltitle%7Curl%7Ccommonmetadata%7Cextmetadata&iiextmetadatalanguage=de&titles=Template%3APotd%2F2015-11-20&generator=images&gimlimit=1

Pinged Nirzar to update the mock (share will be a followon feature)

Checked with 5.0.0.534 on iPad iOS 9.1 (see the comments/screenshots on T119669: As a user, I can view the current POTD in a fullscreen gallery view

JMinor closed this task as Resolved.Dec 8 2015, 9:44 PM